#ifndef _CONSOLE_H
#define _CONSOLE_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#define _WIN32_WINNT 0x0500

#include <WinCon.h>
#include <ConIO.H>

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

bool OpenConsole(void);
bool CloseConsole(void);
BOOL WriteConEx(char *Buffer, int Length);
BOOL WriteCon(char *Buffer);
DWORD GetConsoleInput(char *RetBuffer, int MaxLength);

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

struct _ConIO{
    HANDLE StdIn;
    HANDLE StdOut;
    HANDLE StdErr;
};

extern _ConIO ConIO;
extern bool gbConsoleOpen;
extern char sDebug[1024 * 1024];

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
